petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetProgramName

Gets the name of the running program.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGetProgramName(char name[],size_t len)

Not Collective Many br

### Input Parameter

len -length of the string name Many br

### Output Parameter

name -the name of the running program Many br

Many br

### Notes

The name of the program is copied into the user-provided character Many brarray of length len. On some machines the program name includes Many brits entire path, so one should generally set len >= PETSC_MAX_PATH_LEN. Many br

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages